<?php
namespace App\DataFixtures;

use Doctrine\Bundle\FixturesBundle\Fixture;
use Doctrine\Persistence\ObjectManager;
use App\Entity\Event;

class EventFixtures extends Fixture
{

    public const REF_1 = 'event-1-reference';
    
    public const REF_2 = 'event-2-reference';
    
    
    public function load(ObjectManager $manager)
    {
        $event1 = new Event();
        $event1->setType(Event::FREE_BATTLE);
        $manager->persist($event1);
        
        $event2 = new Event();
        $event2->setType(Event::TOURNAMENT);
        $manager->persist($event2);
        
        $manager->flush();
        
        $this->addReference(self::REF_1, $event1);
        $this->addReference(self::REF_2, $event2);
    }
}

